Subject: It's not possible to make the multiple attribute optional
Description

In my extension i have a flexform where i can configure the attributes of every formfield.
I use the IF inline syntax in the "view" to achieve this.

This works well for all attributes except for the multiple attribute.

Example:

<f:form.Select 
    property="{fieldHelper.name}" 

     options="{fieldHelper.config.options}" 

    id="{form.name}_{fieldHelper.name}" 

    disabled="{f:if(condition: fieldHelper.config.disabled, then: 'disabled')}" 
    multiple="{f:if(condition: fieldHelper.config.multiple, then: 'multiple')}" 

    accesskey="{fieldHelper.config.accesskey}" 
    tabindex="{f:if(condition: fieldHelper.config.tabindex, then: fieldHelper.config.tabindex)}" 
/>

The problem is in the SelectViewHelper it checks only if the attribute is given not have a value.
Lines: 111, 125, 213
if ($this->arguments->hasArgument('multiple')) {

this syntax is unfortunately not working:

<f:form.Select 
    {f:if(condition: fieldHelper.config.multiple, then: 'multiple="multiple"')}
/>

Associated revisions
Revision a4986d6b - 2010-06-23 15:12 - Bastian Waidelich

[+BUGFIX] Fluid (ViewHelpers): form.select ViewHelper did only check whether "multiple" attribute was set and not whether it was empty or not.
Resolves #5879
History
#1 - 2010-06-18 10:07 - Sebastian Kurfuerst
- Assigned To deleted (Sebastian Kurfuerst)

#2 - 2010-06-18 10:11 - Bastian Waidelich
- Due date set to 2010-06-21
- Assigned To set to Bastian Waidelich
- Priority changed from Must have to Should have
- Target version deleted (1.0)

#3 - 2010-06-23 15:15 - Bastian Waidelich
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r4614.
